## mate-rr-output mate-rr-output |

## Synopsis

    #include <libmateui/mate-rr.h>

    typedef             MateRROutput;
    guint32             mate_rr_output_get_id              (MateRROutput *output);
    const char *        mate_rr_output_get_name            (MateRROutput *output);
    gboolean            mate_rr_output_is_connected        (MateRROutput *output);
    int                 mate_rr_output_get_size_inches     (MateRROutput *output);
    int                 mate_rr_output_get_width_mm        (MateRROutput *outout);
    int                 mate_rr_output_get_height_mm       (MateRROutput *output);
    const guint8 *      mate_rr_output_get_edid_data       (MateRROutput *output);
    MateRRCrtc **      mate_rr_output_get_possible_crtcs  (MateRROutput *output);
    MateRRMode **      mate_rr_output_list_modes          (MateRROutput *output);
    MateRRMode *       mate_rr_output_get_current_mode    (MateRROutput *output);
    MateRRMode *       mate_rr_output_get_preferred_mode  (MateRROutput *output);
    gboolean            mate_rr_output_supports_mode       (MateRROutput *output,
                                                             MateRRMode *mode);
    MateRRCrtc *       mate_rr_output_get_crtc            (MateRROutput *output);
    void                mate_rr_output_get_position        (MateRROutput *output,
                                                             int *x,
                                                             int *y);
    gboolean            mate_rr_output_can_clone           (MateRROutput *output,
                                                             MateRROutput *clone);

## Description

## Details

### MateRROutput

    typedef struct MateRROutput MateRROutput;

### mate_rr_output_get_id ()

    guint32             mate_rr_output_get_id              (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_name ()

    const char *        mate_rr_output_get_name            (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_is_connected ()

    gboolean            mate_rr_output_is_connected        (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_size_inches ()

    int                 mate_rr_output_get_size_inches     (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_width_mm ()

    int                 mate_rr_output_get_width_mm        (MateRROutput *outout);

`outout` : |
Returns : |

### mate_rr_output_get_height_mm ()

    int                 mate_rr_output_get_height_mm       (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_edid_data ()

    const guint8 *      mate_rr_output_get_edid_data       (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_possible_crtcs ()

    MateRRCrtc **      mate_rr_output_get_possible_crtcs  (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_list_modes ()

    MateRRMode **      mate_rr_output_list_modes          (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_current_mode ()

    MateRRMode *       mate_rr_output_get_current_mode    (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_preferred_mode ()

    MateRRMode *       mate_rr_output_get_preferred_mode  (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_supports_mode ()

    gboolean            mate_rr_output_supports_mode       (MateRROutput *output,
                                                             MateRRMode *mode);

`output` : |
`mode` : |
Returns : |

### mate_rr_output_get_crtc ()

    MateRRCrtc *       mate_rr_output_get_crtc            (MateRROutput *output);

`output` : |
Returns : |

### mate_rr_output_get_position ()

    void                mate_rr_output_get_position        (MateRROutput *output,
                                                             int *x,
                                                             int *y);

`output` : |
`x` : |
`y` : |

### mate_rr_output_can_clone ()

    gboolean            mate_rr_output_can_clone           (MateRROutput *output,
                                                             MateRROutput *clone);

`output` : |
`clone` : |
Returns : |